from paho.mqtt.client import MQTTMessage, Client
from abc import ABC, abstractmethod

class MQTTObserver(ABC):
    topics = []

    @abstractmethod
    def update(self, message: MQTTMessage):
        pass